export declare class CalendarEventListPopper {
    private referenceElement;
    private popper;
    private $popperElement;
    private _$allDayEventsContainer;
    private _$normalEventsContainer;
    private visibilityTimeout;
    constructor(referenceElement?: Element | null);
    get $allDayEventsContainer(): HTMLElement;
    get $normalEventsContainer(): HTMLElement;
    setReferenceElement(referenceElement: Element): void;
    updatePosition(): void;
    setVisible(visible: boolean, animate?: boolean): void;
    destroy(): void;
}
